Create a subscription plan
curl --request POST \
--url https://payments.oaknetwork.org/api/v1/subscription/plans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Monthly Pro",
"description": "Monthly professional plan",
"frequency": 30,
"price": 2999,
"currency": "USD",
"created_by": "admin@example.com"
}
'import requests
url = "https://payments.oaknetwork.org/api/v1/subscription/plans"
payload = {
"name": "Monthly Pro",
"description": "Monthly professional plan",
"frequency": 30,
"price": 2999,
"currency": "USD",
"created_by": "admin@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Monthly Pro',
description: 'Monthly professional plan',
frequency: 30,
price: 2999,
currency: 'USD',
created_by: 'admin@example.com'
})
};
fetch('https://payments.oaknetwork.org/api/v1/subscription/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "plan created",
"data": "<string>"
}Subscriptions
Create a subscription plan
Define a recurring-payment plan template. price must be between
100 and 10_000 and currency must be USD. Plans are not eligible
for subscriptions until they are published via
PATCH /api/v1/subscription/plans/{planId}/publish.
POST
/
api
/
v1
/
subscription
/
plans
Create a subscription plan
Authorizations
Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer
Body
application/json
Billing frequency in days
Price amount
⌘I